---
title: g1
slug: Web/SVG/Attribute/g1
tags:
  - Deprecated
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{deprecated_header("SVG 2")}}</div>

<p>The <strong><code>g1</code></strong> attribute specifies a list of glyph names which identify a set of possible first glyphs in the kerning pair.</p>

<p>All glyphs with the given glyph name are included in the set. The total set of possible first glyphs in the kerning pair is the union of glyphs specified by the {{SVGAttr("u1")}} and <code>g1</code> attributes.</p>

<p>Two elements are using this attribute: {{SVGElement("hkern")}} and {{SVGElement("vkern")}}</p>

<h2 id="Context_notes">Context notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>&lt;name&gt;<a href="/en-US/docs/Web/CSS/Value_definition_syntax#Hash_mark_()">#</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;name&gt;#</code></dt>
 <dd>
 <p>This value indicates a comma-separated sequence of glyph names (i.e., values that match {{SVGAttr("glyph-name")}} attributes on {{SVGElement("glyph")}} elements) which identify a set of possible first glyphs in the kerning pair.</p>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "fonts.html#HKernElementG1Attribute", "g1")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.hkern.g1")}}</p>
